%global shortname access-modifier

Name:           access-modifier-annotation
Version:        1.4
Release:        4%{?dist}
Summary:        Java annotation for custom access modifiers

# License is specified in pom file
License:        MIT
URL:            https://github.com/kohsuke/access-modifier
Source0:        https://github.com/kohsuke/%{shortname}/archive/%{shortname}-%{version}.tar.gz
# License text copied from http://www.opensource.org/licenses/mit-license.php
Source1:        LICENSE.txt

BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.maven.plugins:maven-compiler-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-release-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-scm-plugin)
BuildRequires:  mvn(org.apache.maven:maven-plugin-api)
BuildRequires:  mvn(org.apache.maven:maven-project)
BuildRequires:  mvn(org.jenkins-ci:annotation-indexer)
BuildRequires:  mvn(org.kohsuke.metainf-services:metainf-services)
BuildRequires:  mvn(org.kohsuke:pom)
BuildRequires:  objectweb-asm

%description
Allows applications to define custom access modifiers programmatically,
to be enforced at compile time in the opt-in basis. Obviously, 
there's no runtime check either - this is strictly a voluntary annotations.
This mechanism is useful for actually making sure that deprecated features 
are not used (without actually removing such declarations, which would break 
binary compatibility.)

%package        javadoc
Summary:        Javadoc for %{name}

%description    javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q -n %{shortname}-%{shortname}-%{version}

cp %{SOURCE1} LICENSE

%pom_xpath_remove "pom:extension[pom:artifactId[text()='wagon-svn']]"

# We don't have asm-debug-all artifact,
# so we'll use the one without debugging information
%pom_xpath_replace "pom:dependency[pom:artifactId[text()='asm-debug-all']]" \
"<dependency>
   <groupId>asm</groupId>
   <artifactId>asm-all</artifactId>                                                                  
 </dependency>" access-modifier-checker


%build
%mvn_build

%install
%mvn_install


%files -f .mfiles
%doc LICENSE
%files javadoc -f .mfiles-javadoc
%doc LICENSE

%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Mar 04 2014 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.4-3
- Use Requires: java-headless rebuild (#1067528)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu May 09 2013 Michal Srb <msrb@redhat.com> - 1.4-1
- Initial package

